Subject: Re: [PATCH 1/2] tipc: avoid possible deadlock while remove link_timeout()

From: Ding Tianhong <[email-masked]>
Date: Fri, 9 Aug 2013 11:38:07 +0800

On 2013/8/9 10:39, Ying Xue wrote:
> On 08/08/2013 06:45 PM, Ding Tianhong wrote:

>>
>> The problem is that the tipc_link_delete() will cancel the timer l_ptr->timer when
>> the b_ptr->lock is hold, but the l_ptr->timer still call b_ptr->lock to finish the
>> work, so the dead lock occurs.
>>
> 
> I guess the issue would disappear if you apply below patch:
> 
> http://article.gmane.org/gmane.network.tipc.general/4380
> 
> And the patch will be submitted into net-next tree soon.
> 
> Regards,
> Ying
> 

yes, I test the patch and fix the 1/2 problem, but the 2/2 problem still occurs, if 
the http://article.gmane.org/gmane.network.tipc.general/4380 and queue for stable, I will resend
2/2 patch again and cancel the 1/2 patch.